#!/bin/bash

# インデクサーアドレス
HOST="http://indexer.artistcommons.org"
# アクセスキー(実際に登録されているアクセスキーを使用してください)
ACCESS_KEY="sample"
# 秘密鍵(実際に登録されている公開鍵に対応する秘密鍵を使用してください)
PRIVATE_KEY="id_rsa"
# APIリクエスト例
URI="/api/v0/id/artist/search/acid?name=%E4%B8%89%E6%B5%A6%E5%A4%A7%E7%9F%A5"

if [ `printf %s $URI | grep '?'` ] ; then
  uri="$URI&access_key=$ACCESS_KEY"
else
  uri="$URI?access_key=$ACCESS_KEY"
fi
sign=`printf %s $uri | openssl dgst -sha256 -sign $PRIVATE_KEY | openssl base64 | tr -- '+/' '-_' | tr -d "[:space:]"`
url="$HOST$uri&sign=$sign"
echo $url
curl $url | jq
